r.rgb(1)

NAME
r.rgb - Splits a raster map into red, green and blue maps.

KEYWORDS
raster, RGB, separate, split

SYNOPSIS
r.rgb
r.rgb --help
r.rgb input=name [red=name] [green=name] [blue=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input raster map

red=name
    Red channel raster map name

green=name
    Green channel raster map name

blue=name
    Blue channel raster map name

DESCRIPTION
r.rgb generates separate red, green and blue maps from a raster map and its associated color table (grey255).

EXAMPLE

g.region raster=elevation -p
r.rgb input=elevation red=elevation.r green=elevation.g blue=elevation.b

In this case r.rgb produces in the current mapset three new raster maps - ’elevation.r’, ’elevation.g’, ’elevation.b’.

SEE ALSO
r.composite, r.blend, r.colors, r.mapcalc

AUTHOR
Glynn Clements

SOURCE CODE

Available at: r.rgb source code (history)

Latest change: Mon Nov 18 20:15:32 2019 in commit: 1a1d107e4f6e1b846f9841c2c6fabf015c5f720d

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual